local L = LibStub("AceLocale-3.0"):NewLocale("TuckUF", "enGB", true)

L.AddonDescription = "Unit Frame Addon.\n\nExpand the submenus to set options for the different unit frames.\n\nTo reset the whole configuration, use /tuf"

L.Opt_copy_settings_from = "Copy from..."
L.Desc_copy_settings_from = "Copies settings from another character"

L.Opt_profile_name = "Profile name"
L.Desc_profile_name = "AceDB 3.0 profile name"

--[[
    Click actions
]]
L.Opt_click_action = "Click action"
L.Desc_click_action = "Action to perform when you left click a frame"

L.Opt_shift_click_action = "Shift click action"
L.Desc_shift_click_action = "Action to perform when you shift-left click a frame"

L.Opt_alt_click_action = "Alt click action"
L.Desc_alt_click_action = "Action to perform when you alt-left click a frame"

L.Opt_ctrl_click_action = "Ctrl click action"
L.Desc_ctrl_click_action = "Action to perform when you ctrl-left click a frame"


--[[
    Options
]]
L.Opt_player = "Player"
L.Desc_player = "Player"

L.Opt_party = "Party"
L.Desc_party = "Party"

L.Opt_pet = "Player pet"
L.Desc_pet = "Player pet"

L.Opt_party_pet = "Party pet"
L.Desc_party_pet = "Party pet"

L.Opt_target = "Target"
L.Desc_target = "Target"

L.Opt_focus = "Focus"
L.Desc_focus = "Focus target"

L.Opt_tot = "Target of target"
L.Desc_tot = "Target of target"

L.Opt_totot = "Target of target of target"
L.Desc_totot = "Target of target of target"

L.Opt_tof = "Target of focus"
L.Desc_tof = "Target of focus"

L.Opt_totof = "Target of target of focus"
L.Desc_totof = "Target of target of focus"

L.Opt_raid = "Raid member"
L.Desc_raid = "Raid member"

L.Opt_Frame = "Frame"
L.Desc_Frame = "Unit frame"

L.Opt_buffs = "Buffs"
L.Desc_buffs = "Buff frame"

L.Opt_buffs2 = "Buffs2"
L.Desc_buffs2 = "Second buffs frame"

L.Opt_debuffs = "Debuffs"
L.Desc_debuffs = "Debuff frame"

L.Opt_debuffs2 = "Debuffs2"
L.Desc_debuffs2 = "Second debuff frame"

L.Opt_Width = "Width"
L.Desc_Width = "Width, in pixels"

L.Opt_Height = "Height"
L.Desc_Height = "Height, in pixels"

L.Opt_Border = "Border"
L.Desc_Border = "Border size, in pixels"

L.Opt_ManaBar = "Mana bar"
L.Desc_ManaBar = "Mana bar height"

L.Opt_HPText = "Show HP text"
L.Desc_HPText = "Show HP text"

L.Opt_ManaText = "Show mana text"
L.Desc_ManaText = "Show mana text"

L.Opt_ComboPoints = "Show combo points"
L.Desc_ComboPoints = "Show combo points instead of energy"

L.Opt_HPForcePercent = "Force HP text percent"
L.Desc_HPForcePercent = "When enabled, HP Text is always shown as a percentage, even if exact values are available"

L.Opt_Enabled = "Enabled"
L.Desc_Enabled = "Enabled"

L.Opt_Rows = "Rows"
L.Desc_Rows = "Rows, in buffs"

L.Opt_Columns = "Columns"
L.Desc_Columns = "Columns, in buffs"

L.Opt_IconSize = "Icon size"
L.Desc_IconSize = "Icon size, in pixels"

L.Opt_IconGap = "Icon spacing"
L.Desc_IconGap = "Space between icons, in pixels"

L.Opt_OffsetX = "X offset"
L.Desc_OffsetX = "X offset, in pixels"

L.Opt_OffsetY = "Y offset"
L.Desc_OffsetY = "Y offset, in pixels"

L.Opt_Transparency = "Transparency"
L.Desc_Transparency = "Transparency, in percent"

L.Opt_Anchor = "Anchor"
L.Desc_Anchor = "Where the aura icons are located with respect to the frame"

L.Opt_Grouping = "Grouping"
L.Desc_Grouping = "Sets how the auras are grouped"

L.Opt_Sorting = "Sorting"
L.Desc_Sorting = "Sets how the auras are sorted"

L.Opt_Filtering = "Filtering"
L.Desc_Filtering = "Sets how the auras are filtered"

--[[
    Grouping
]]

L.Opt_GroupingNone = "No Grouping"
L.Desc_GroupingNone = "No Grouping"

L.Opt_GroupingGroup = "Group by Group Name"
L.Desc_GroupingGroup = "Group by Group Name"

L.Opt_GroupingAura = "Group by Aura Name"
L.Desc_GroupingAura = "Group by Aura Name"

--[[
    Sorting
]]

L.Opt_SortingNone = "Not sort"
L.Desc_SortingNone = "Do not sort"

L.Opt_SortingMaxDuration = "Max duration first"
L.Desc_SortingMaxDuration = "Show max duration first"

L.Opt_SortingMinDuration = "Min duration first"
L.Desc_SortingMinDuration = "Show min duration first"

L.Opt_SortingMaxPower = "Max power first"
L.Desc_SortingMaxPower = "Show max power first"

L.Opt_SortingMinPower = "Min power first"
L.Desc_SortingMinPower = "Show min power first"

L.Opt_SortingMaxTimeleft = "Max time left first"
L.Desc_SortingMaxTimeleft = "Show max time left first"

L.Opt_SortingMinTimeleft = "Min time left first"
L.Desc_SortingMinTimeleft = "Show min time left first"
    
--[[
    Filtering
]]

L.Opt_FilterForeign = "Hide foreign auras"
L.Desc_FilterForeign = "Hide auras not created by the player"

L.Opt_FilterOwn = "Hide own auras"
L.Desc_FilterOwn = "Hide auras created by the player"

L.Opt_FilterCureable = "Hide cureable auras"
L.Desc_FilterCureable = "Hide auras that the player can cure"

L.Opt_FilterNonCureable = "Hide non cureable auras"
L.Desc_FilterNonCureable = "Hide auras that the player can not cure"

L.Opt_FilterWeak = "Hide weak auras"
L.Desc_FilterWeak = "Hide auras with power < 100"

L.Opt_FilterNormal = "Hide normal auras"
L.Desc_FilterNormal = "Hide auras with 100 <= power < 200"

L.Opt_FilterPowerful = "Hide powerful auras"
L.Desc_FilterPowerful = "Hide auras with power >= 200"

L.Opt_FilterGroup = "Hide auras with a group"
L.Desc_FilterGroup = "Hide auras which have a group defined"

L.Opt_FilterNoGroup = "Hide auras without a group"
L.Desc_FilterNoGroup = "Hide auras which do not have a group defined"

--[[
    Anchors
]]

L.Opt_AnchorLeft = "Left (middle)"
L.Desc_AnchorLeft = "Left (middle)"

L.Opt_AnchorRight = "Right (middle)"
L.Desc_AnchorRight = "Right (middle)"

L.Opt_AnchorLeftTop = "Left (top)"
L.Desc_AnchorLeftTop = "Left (top)"

L.Opt_AnchorLeftBottom = "Left (bottom)"
L.Desc_AnchorLeftBottom = "Left (bottom)"

L.Opt_AnchorRightTop = "Right (top)"
L.Desc_AnchorRightTop = "Right (top)"

L.Opt_AnchorRightBottom = "Right (bottom)"
L.Desc_AnchorRightBottom = "Right (bottom)"

L.Opt_AnchorTopLeft = "Top (left)"
L.Desc_AnchorTopLeft = "Top (left)"

L.Opt_AnchorTopRight = "Top (right)"
L.Desc_AnchorTopRight = "Top (right)"

L.Opt_AnchorBottomLeft = "Bottom (left)"
L.Desc_AnchorBottomLeft = "Bottom (left)"

L.Opt_AnchorBottomRight = "Bottom (right)"
L.Desc_AnchorBottomRight = "Bottom (right)"

L.Opt_AnchorInsideLeft = "Inside (left)"
L.Desc_AnchorInsideLeft = "Inside (left)"

L.Opt_AnchorInsideRight = "Inside (right)"
L.Desc_AnchorInsideRight = "Inside (right)"


--[[
    Mana bar sizes
]]

L.Opt_ManaBarNone = "No mana bar"
L.Desc_ManaBarNone = "No mana bar"

L.Opt_ManaBarSmall = "Small mana bar"
L.Desc_ManaBarSmall = "Small mana bar"

L.Opt_ManaBarBig = "Big mana bar"
L.Desc_ManaBarBig = "Big mana bar"

















