﻿TuckUF = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0")
 
local TRACE = function(msg) ChatFrame1:AddMessage(msg) end

--[[
    TuckUF modules
]]
TuckUF.unitframe = {}
TuckUF.auraframe = {}
TuckUF.controlframe = {}
TuckUF.network = {}
TuckUF.aura_db = {}
 
--[[
    Startup
 ]]
function TuckUF:OnInitialize()
    -- set up option database
    self.db = LibStub("AceDB-3.0"):New("TuckUFDB", self:GetDefaultConfig())

    -- register options
    TuckUF:InitializeOptions()
    
    -- initialize aura DB
    TuckUF.aura_db:InitDB()
    
    error("TuckUnitFrames has been discontinued on wowace, please use the CurseForge version")
 end
 
--[[
    Returns the options database
 ]]
 function TuckUF:GetDB()
    return TuckUF.db.profile
 end
 
--[[
    Initialisation
 ]]
function TuckUF:OnEnable(first)   
    -- hide blizzard UI
	TuckUF:HideBlizzPlayer()
	TuckUF:HideBlizzTarget()
	TuckUF:HideBlizzParty()

    --init own UI
    TuckUF.controlframe:InitTUF()
end
 

--[[
    Resets everything.
 ]]
function TuckUF:ResetLayout()
    TuckUF:ResetToDefaultConfig()
    TuckUF.controlframe:InitializeAllFrames()
    TuckUF.controlframe:ResetAllLayouts()
end

--[[
    Reinitializes all frames
]]
function TuckUF:ReInitialize()
    TuckUF.controlframe:InitializeAllFrames()
end